<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000284.png" type="DMXDevice" dmxaddresscount="88" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>965</ddf-library-id>
    <model>Impression X4 Bar 20</model>
    <vendor>GLP</vendor>
    <author>Patrick Grote</author>
    <mode>Single Pixel (spix)</mode>
  </information>
  <functions>
    <!-- Master Beam -->
    <position>
      <pan>
        <range range="0.2"/>
      </pan>
      <tilt dmxchannel="0" finedmxchannel="1">
        <range range="210"/>
      </tilt>
    </position>
    <shutter dmxchannel="2">
      <step type="open" mindmx="240" maxdmx="255"/>
      <step type="closed" mindmx="0" maxdmx="15"/>
    </shutter>
    <strobe dmxchannel="2">
      <range type="linear" mindmx="144" maxdmx="199" minval="0.2" maxval="1"/>
      <range type="linear" mindmx="200" maxdmx="239" minval="1" maxval="10"/>
      <range type="random" mindmx="16" maxdmx="47" minval="1" maxval="10"/>
      <range type="random pulse up" mindmx="48" maxdmx="79" minval="1" maxval="10"/>
      <range type="random pulse down" mindmx="80" maxdmx="111" minval="1" maxval="10"/>
      <range type="random pulse up/down" mindmx="112" maxdmx="143" minval="1" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="3"/>
    <colortemp dmxchannel="4">
      <range mindmx="0" maxdmx="7" minval="0" maxval="0"/>
      <range mindmx="255" maxdmx="8" minval="2500" maxval="8000"/>
    </colortemp>
    <const dmxchannel="5" name="Special" val="0"/>
    <raw dmxchannel="6" name="Crossfade">
      <range mindmx="0" maxdmx="255" minval="0" maxval="2"/>
    </raw>
    <zoom dmxchannel="7">
      <range type="linear" mindmx="255" maxdmx="0" minval="7" maxval="50"/>
    </zoom>
  </functions>
  <functions>
    <!-- Beam 1 -->
    <rgb>
      <red dmxchannel="8"/>
      <green dmxchannel="9"/>
      <blue dmxchannel="10"/>
      <white dmxchannel="11"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 2 -->
    <rgb>
      <red dmxchannel="12"/>
      <green dmxchannel="13"/>
      <blue dmxchannel="14"/>
      <white dmxchannel="15"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 3 -->
    <rgb>
      <red dmxchannel="16"/>
      <green dmxchannel="17"/>
      <blue dmxchannel="18"/>
      <white dmxchannel="19"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 4 -->
    <rgb>
      <red dmxchannel="20"/>
      <green dmxchannel="21"/>
      <blue dmxchannel="22"/>
      <white dmxchannel="23"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 5 -->
    <rgb>
      <red dmxchannel="24"/>
      <green dmxchannel="25"/>
      <blue dmxchannel="26"/>
      <white dmxchannel="27"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 6 -->
    <rgb>
      <red dmxchannel="28"/>
      <green dmxchannel="29"/>
      <blue dmxchannel="30"/>
      <white dmxchannel="31"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 7 -->
    <rgb>
      <red dmxchannel="32"/>
      <green dmxchannel="33"/>
      <blue dmxchannel="34"/>
      <white dmxchannel="35"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 8 -->
    <rgb>
      <red dmxchannel="36"/>
      <green dmxchannel="37"/>
      <blue dmxchannel="38"/>
      <white dmxchannel="39"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 9 -->
    <rgb>
      <red dmxchannel="40"/>
      <green dmxchannel="41"/>
      <blue dmxchannel="42"/>
      <white dmxchannel="43"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 10 -->
    <rgb>
      <red dmxchannel="44"/>
      <green dmxchannel="45"/>
      <blue dmxchannel="46"/>
      <white dmxchannel="47"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 11 -->
    <rgb>
      <red dmxchannel="48"/>
      <green dmxchannel="49"/>
      <blue dmxchannel="50"/>
      <white dmxchannel="51"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 12 -->
    <rgb>
      <red dmxchannel="52"/>
      <green dmxchannel="53"/>
      <blue dmxchannel="54"/>
      <white dmxchannel="55"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 13 -->
    <rgb>
      <red dmxchannel="56"/>
      <green dmxchannel="57"/>
      <blue dmxchannel="58"/>
      <white dmxchannel="59"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 14 -->
    <rgb>
      <red dmxchannel="60"/>
      <green dmxchannel="61"/>
      <blue dmxchannel="62"/>
      <white dmxchannel="63"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 15 -->
    <rgb>
      <red dmxchannel="64"/>
      <green dmxchannel="65"/>
      <blue dmxchannel="66"/>
      <white dmxchannel="67"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 16 -->
    <rgb>
      <red dmxchannel="68"/>
      <green dmxchannel="69"/>
      <blue dmxchannel="70"/>
      <white dmxchannel="71"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 17 -->
    <rgb>
      <red dmxchannel="72"/>
      <green dmxchannel="73"/>
      <blue dmxchannel="74"/>
      <white dmxchannel="75"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 18 -->
    <rgb>
      <red dmxchannel="76"/>
      <green dmxchannel="77"/>
      <blue dmxchannel="78"/>
      <white dmxchannel="79"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 19 -->
    <rgb>
      <red dmxchannel="80"/>
      <green dmxchannel="81"/>
      <blue dmxchannel="82"/>
      <white dmxchannel="83"/>
    </rgb>
  </functions>
  <functions>
    <!-- Beam 20 -->
    <rgb>
      <red dmxchannel="84"/>
      <green dmxchannel="85"/>
      <blue dmxchannel="86"/>
      <white dmxchannel="87"/>
    </rgb>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="5" value="255"/>
      <hold value="1500"/>
      <restore dmxchannel="5"/>
    </reset>
  </procedures>
</device>
